openerp.eiru_reports_expenses = function (instance) {
    "use strict";

    var reporting = instance.eiru_reports_expenses;

    reporting_base(instance,reporting);

    try {
        /*
        ================================
            BASE
        ================================
        */
        pdf(reporting);
        chart(reporting);
        datepicker(reporting);
        /*
        ================================
            VENTAS
        ================================
        */
        report_expense(reporting);
        report_expense_analytic(reporting);
    } catch (e) {
        // ignorar error
    }

    /*
    ================================================================================
        HISTORICO DE GASTOS
    ================================================================================
    */
    instance.web.client_actions.add(
        'eiru_reports_expenses.expense_action',
        'instance.eiru_reports_expenses.ReportExpenseWidget'
    );
    /*
    ================================================================================
        ANALISIS DE GASTOS
    ================================================================================
     */
    instance.web.client_actions.add(
        'eiru_reports_expenses.expense_analytic_action',
        'instance.eiru_reports_expenses.ReportExpenseAnalyticWidget'
    );
};
